function EventAlert_LoadSpellArray()

	if EA_Items == nil then
		EA_Items = {};
	end

	if EA_AltItems == nil then
		EA_AltItems = {};
	end

	if EA_StackingItems == nil then
		EA_StackingItems = {};
	end

    if EA_StackingItemsCounts == nil then
    	EA_StackingItemsCounts = {};
    end

	if EA_CustomItems == nil then
		EA_CustomItems = {};
	end

	-- Start Normal Items --

	-- Death Knight
	if EA_Items[EA_CLASS_DK] == nil then EA_Items[EA_CLASS_DK] = {} end;
		-- Cinderglacier (Runeforge)
			if EA_Items[EA_CLASS_DK][53386] == nil then EA_Items[EA_CLASS_DK][53386] = true end;

		-- Killing Machine
			if EA_Items[EA_CLASS_DK][51124] == nil then EA_Items[EA_CLASS_DK][51124] = true end;

		-- Rime (Freezing Fog)
			if EA_Items[EA_CLASS_DK][59052] == nil then EA_Items[EA_CLASS_DK][59052] = true end;

		-- Sudden Doom
			if EA_Items[EA_CLASS_DK][81340] == nil then EA_Items[EA_CLASS_DK][81340] = true end;



	-- Druid
	if EA_Items[EA_CLASS_DRUID] == nil then EA_Items[EA_CLASS_DRUID] = {} end;
		-- Eclipse
			if EA_Items[EA_CLASS_DRUID][48517] == nil then EA_Items[EA_CLASS_DRUID][48517] = true end;
			if EA_Items[EA_CLASS_DRUID][48518] == nil then EA_Items[EA_CLASS_DRUID][48518] = true end;

		-- Nature's Grace
			if EA_Items[EA_CLASS_DRUID][16886] == nil then EA_Items[EA_CLASS_DRUID][16886] = true end;

		-- Predator's Swiftness
			if EA_Items[EA_CLASS_DRUID][69369] == nil then EA_Items[EA_CLASS_DRUID][69369] = true end;

	    -- Omen of Clarity
			if EA_Items[EA_CLASS_DRUID][16870] == nil then EA_Items[EA_CLASS_DRUID][16870] = true end;

	   	-- Owlkin Frenzy
			if EA_Items[EA_CLASS_DRUID][48391] == nil then EA_Items[EA_CLASS_DRUID][48391] = true end;

	   	-- Shooting Stars
			if EA_Items[EA_CLASS_DRUID][93400] == nil then EA_Items[EA_CLASS_DRUID][93400] = true end;

	-- Hunter
	if EA_Items[EA_CLASS_HUNTER] == nil then EA_Items[EA_CLASS_HUNTER] = {} end;
	    -- Rapid Killing
			if EA_Items[EA_CLASS_HUNTER][35098] == nil then EA_Items[EA_CLASS_HUNTER][35098] = true end;
			if EA_Items[EA_CLASS_HUNTER][35099] == nil then EA_Items[EA_CLASS_HUNTER][35099] = true end;

	-- Mage
	if EA_Items[EA_CLASS_MAGE] == nil then EA_Items[EA_CLASS_MAGE] = {} end;
	   -- Arcane Concentration
			if EA_Items[EA_CLASS_MAGE][12536] == nil then EA_Items[EA_CLASS_MAGE][12536] = true end;

	   -- Blazing Speed
			if EA_Items[EA_CLASS_MAGE][31643] == nil then EA_Items[EA_CLASS_MAGE][31643] = true end;

	   -- Brain Freeze
			if EA_Items[EA_CLASS_MAGE][57761] == nil then EA_Items[EA_CLASS_MAGE][57761] = true end;

	   -- Firestarter
			if EA_Items[EA_CLASS_MAGE][54741] == nil then EA_Items[EA_CLASS_MAGE][54741] = true end;

	   -- Hot Streak
			if EA_Items[EA_CLASS_MAGE][48108] == nil then EA_Items[EA_CLASS_MAGE][48108] = true end;

	   -- Impact
			if EA_Items[EA_CLASS_MAGE][64343] == nil then EA_Items[EA_CLASS_MAGE][64343] = true end;

	-- Paladin
	if EA_Items[EA_CLASS_PALADIN] == nil then EA_Items[EA_CLASS_PALADIN] = {} end;

		-- Just used for testing  (DO NOT ENABLE THESE UNLESS YOU KNOW WHAT YOU ARE DOING).
			-- Blessing of Kings
			-- if EA_Items[EA_CLASS_PALADIN][79063] == nil then EA_Items[EA_CLASS_PALADIN][79063] = true end;

		-- Art of War
			if EA_Items[EA_CLASS_PALADIN][59578] == nil then EA_Items[EA_CLASS_PALADIN][59578] = true end;

  		-- Daybreak
			if EA_Items[EA_CLASS_PALADIN][88819] == nil then EA_Items[EA_CLASS_PALADIN][88819] = true end;

		-- Denounce
			if EA_Items[EA_CLASS_PALADIN][85509] == nil then EA_Items[EA_CLASS_PALADIN][85509] = true end;

  		-- Grand Crusader
			if EA_Items[EA_CLASS_PALADIN][85416] == nil then EA_Items[EA_CLASS_PALADIN][85416] = true end;

  		-- Hand of Light
			if EA_Items[EA_CLASS_PALADIN][90174] == nil then EA_Items[EA_CLASS_PALADIN][90174] = true end;

		-- Infusion of Light
			if EA_Items[EA_CLASS_PALADIN][53672] == nil then EA_Items[EA_CLASS_PALADIN][53672] = true end;
			if EA_Items[EA_CLASS_PALADIN][54149] == nil then EA_Items[EA_CLASS_PALADIN][54149] = true end;

  		-- Sacred Duty
			if EA_Items[EA_CLASS_PALADIN][85433] == nil then EA_Items[EA_CLASS_PALADIN][85433] = true end;

  		-- Speed of Light
			if EA_Items[EA_CLASS_PALADIN][85496] == nil then EA_Items[EA_CLASS_PALADIN][85496] = true end;


	-- Priest
	if EA_Items[EA_CLASS_PRIEST] == nil then EA_Items[EA_CLASS_PRIEST] = {} end;
		-- Borrowed Time
			if EA_Items[EA_CLASS_PRIEST][59887] == nil then EA_Items[EA_CLASS_PRIEST][59887] = true end;
			if EA_Items[EA_CLASS_PRIEST][59888] == nil then EA_Items[EA_CLASS_PRIEST][59888] = true end;
			if EA_Items[EA_CLASS_PRIEST][59889] == nil then EA_Items[EA_CLASS_PRIEST][59889] = true end;

	    -- Surge of Light
			if EA_Items[EA_CLASS_PRIEST][33151] == nil then EA_Items[EA_CLASS_PRIEST][33151] = true end;

	-- Rogue
	if EA_Items[EA_CLASS_ROGUE] == nil then EA_Items[EA_CLASS_ROGUE] = {} end;

	-- Shaman
	if EA_Items[EA_CLASS_SHAMAN] == nil then EA_Items[EA_CLASS_SHAMAN] = {} end;

	-- Warlock
	if EA_Items[EA_CLASS_WARLOCK] == nil then EA_Items[EA_CLASS_WARLOCK] = {} end;
		-- Backdraft
			if EA_Items[EA_CLASS_WARLOCK][54274] == nil then EA_Items[EA_CLASS_WARLOCK][54274] = true end;
			if EA_Items[EA_CLASS_WARLOCK][54276] == nil then EA_Items[EA_CLASS_WARLOCK][54276] = true end;
			if EA_Items[EA_CLASS_WARLOCK][54277] == nil then EA_Items[EA_CLASS_WARLOCK][54277] = true end;

		-- Backlash
			if EA_Items[EA_CLASS_WARLOCK][34936] == nil then EA_Items[EA_CLASS_WARLOCK][34936] = true end;

		-- Decimation
			if EA_Items[EA_CLASS_WARLOCK][63165] == nil then EA_Items[EA_CLASS_WARLOCK][63165] = true end;
			if EA_Items[EA_CLASS_WARLOCK][63167] == nil then EA_Items[EA_CLASS_WARLOCK][63167] = true end;

		-- Empowered Imp
			if EA_Items[EA_CLASS_WARLOCK][47283] == nil then EA_Items[EA_CLASS_WARLOCK][47283] = true end;

		-- Eradication
			if EA_Items[EA_CLASS_WARLOCK][64368] == nil then EA_Items[EA_CLASS_WARLOCK][64368] = true end;
			if EA_Items[EA_CLASS_WARLOCK][64370] == nil then EA_Items[EA_CLASS_WARLOCK][64370] = true end;
			if EA_Items[EA_CLASS_WARLOCK][64371] == nil then EA_Items[EA_CLASS_WARLOCK][64371] = true end;

	    -- Molten Core
			if EA_Items[EA_CLASS_WARLOCK][47383] == nil then EA_Items[EA_CLASS_WARLOCK][47383] = true end;
			if EA_Items[EA_CLASS_WARLOCK][71162] == nil then EA_Items[EA_CLASS_WARLOCK][71162] = true end;
			if EA_Items[EA_CLASS_WARLOCK][71165] == nil then EA_Items[EA_CLASS_WARLOCK][71165] = true end;

		-- Nightfall
			if EA_Items[EA_CLASS_WARLOCK][17941] == nil then EA_Items[EA_CLASS_WARLOCK][17941] = true end;


	-- Warrior
	if EA_Items[EA_CLASS_WARRIOR] == nil then EA_Items[EA_CLASS_WARRIOR] = {} end;
		-- Bloodsurge
			if EA_Items[EA_CLASS_WARRIOR][46916] == nil then EA_Items[EA_CLASS_WARRIOR][46916] = true end;

		-- Incite
			if EA_Items[EA_CLASS_WARRIOR][86627] == nil then EA_Items[EA_CLASS_WARRIOR][86627] = true end;

		-- Sudden Death
			if EA_Items[EA_CLASS_WARRIOR][52437] == nil then EA_Items[EA_CLASS_WARRIOR][52437] = true end;

		-- Sword and Board
			if EA_Items[EA_CLASS_WARRIOR][50227] == nil then EA_Items[EA_CLASS_WARRIOR][50227] = true end;

		-- Taste for Blood
			if EA_Items[EA_CLASS_WARRIOR][60503] == nil then EA_Items[EA_CLASS_WARRIOR][60503] = true end;

	-- Other
	if EA_Items[EA_CLASS_OTHER] == nil then EA_Items[EA_CLASS_OTHER] = {} end;
		-- Healing Trance
			if EA_Items[EA_CLASS_OTHER][37706] == nil then EA_Items[EA_CLASS_OTHER][37706] = true end;
			if EA_Items[EA_CLASS_OTHER][37721] == nil then EA_Items[EA_CLASS_OTHER][37721] = true end;
	   		if EA_Items[EA_CLASS_OTHER][37722] == nil then EA_Items[EA_CLASS_OTHER][37722] = true end;
	        if EA_Items[EA_CLASS_OTHER][37723] == nil then EA_Items[EA_CLASS_OTHER][37723] = true end;
	        if EA_Items[EA_CLASS_OTHER][60512] == nil then EA_Items[EA_CLASS_OTHER][60512] = true end;
	        if EA_Items[EA_CLASS_OTHER][60513] == nil then EA_Items[EA_CLASS_OTHER][60513] = true end;
	        if EA_Items[EA_CLASS_OTHER][60514] == nil then EA_Items[EA_CLASS_OTHER][60514] = true end;
	        if EA_Items[EA_CLASS_OTHER][60515] == nil then EA_Items[EA_CLASS_OTHER][60515] = true end;

		-- Quagmirran's Eye (Spell Haste)
			if EA_Items[EA_CLASS_OTHER][33370] == nil then EA_Items[EA_CLASS_OTHER][33370] = true end;



	-- Start Alternate Items --

	--Death Knight
	if EA_AltItems[EA_CLASS_DK] == nil then EA_AltItems[EA_CLASS_DK] = {} end;
		-- Dark Transformation
	    	if EA_AltItems[EA_CLASS_DK][63560] == nil then EA_AltItems[EA_CLASS_DK][63560] = true end;

		-- Rune Strike
	    	if EA_AltItems[EA_CLASS_DK][56815] == nil then EA_AltItems[EA_CLASS_DK][56815] = true end;

	-- Druid
	if EA_AltItems[EA_CLASS_DRUID] == nil then EA_AltItems[EA_CLASS_DRUID] = {} end;

	-- Hunter
	if EA_AltItems[EA_CLASS_HUNTER] == nil then EA_AltItems[EA_CLASS_HUNTER] = {} end;
		-- Kill Shot
			if EA_AltItems[EA_CLASS_HUNTER][53351] == nil then EA_AltItems[EA_CLASS_HUNTER][53351] = true end;


	-- Mage
	if EA_AltItems[EA_CLASS_MAGE] == nil then EA_AltItems[EA_CLASS_MAGE] = {} end;

	-- Paladin
	if EA_AltItems[EA_CLASS_PALADIN] == nil then EA_AltItems[EA_CLASS_PALADIN] = {} end;
		-- Hammer of Wrath
			if EA_AltItems[EA_CLASS_PALADIN][24275] == nil then EA_AltItems[EA_CLASS_PALADIN][24275] = true end;

	-- Priest
	if EA_AltItems[EA_CLASS_PRIEST] == nil then EA_AltItems[EA_CLASS_PRIEST] = {} end;

	-- Rogue
	if EA_AltItems[EA_CLASS_ROGUE] == nil then EA_AltItems[EA_CLASS_ROGUE] = {} end;

	-- Shaman
	if EA_AltItems[EA_CLASS_SHAMAN] == nil then EA_AltItems[EA_CLASS_SHAMAN] = {} end;

	-- Warlock
	if EA_AltItems[EA_CLASS_WARLOCK] == nil then EA_AltItems[EA_CLASS_WARLOCK] = {} end;

	-- Warrior
	if EA_AltItems[EA_CLASS_WARRIOR] == nil then EA_AltItems[EA_CLASS_WARRIOR] = {} end;
		-- Overpower
	    	if EA_AltItems[EA_CLASS_WARRIOR][7384] == nil then EA_AltItems[EA_CLASS_WARRIOR][7384] = true end;

		-- Execute
	    	if EA_AltItems[EA_CLASS_WARRIOR][5308] == nil then EA_AltItems[EA_CLASS_WARRIOR][5308] = true end;

		-- Revenge
	    	if EA_AltItems[EA_CLASS_WARRIOR][6572] == nil then EA_AltItems[EA_CLASS_WARRIOR][6572] = true end;

		-- Victory Rush
	        if EA_AltItems[EA_CLASS_WARRIOR][34428] == nil then EA_AltItems[EA_CLASS_WARRIOR][34428] = true end;



	-- Start Stacking Items

	--Death Knight
	if EA_StackingItems[EA_CLASS_DK] == nil then EA_StackingItems[EA_CLASS_DK] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_DK] == nil then EA_StackingItemsCounts[EA_CLASS_DK] = {} end;

	-- Druid
	if EA_StackingItems[EA_CLASS_DRUID] == nil then EA_StackingItems[EA_CLASS_DRUID] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_DRUID] == nil then EA_StackingItemsCounts[EA_CLASS_DRUID] = {} end;

	-- Hunter
	if EA_StackingItems[EA_CLASS_HUNTER] == nil then EA_StackingItems[EA_CLASS_HUNTER] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_HUNTER] == nil then EA_StackingItemsCounts[EA_CLASS_HUNTER] = {} end;

    	-- Master Marksman
    		if EA_StackingItems[EA_CLASS_HUNTER][82925] == nil then EA_StackingItems[EA_CLASS_HUNTER][82925] = true end;
			if EA_StackingItemsCounts[EA_CLASS_HUNTER][82925] == nil then EA_StackingItemsCounts[EA_CLASS_HUNTER][82925] = 5 end;


	-- Mage
	if EA_StackingItems[EA_CLASS_MAGE] == nil then EA_StackingItems[EA_CLASS_MAGE] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_MAGE] == nil then EA_StackingItemsCounts[EA_CLASS_MAGE] = {} end;

    	-- Arcane Blast
		if EA_StackingItems[EA_CLASS_MAGE][36032] == nil then EA_StackingItems[EA_CLASS_MAGE][36032] = true end;
		if EA_StackingItemsCounts[EA_CLASS_MAGE][36032] == nil then EA_StackingItemsCounts[EA_CLASS_MAGE][36032] = 4 end;

    	-- Fingers of Frost
			if EA_StackingItems[EA_CLASS_MAGE][44544] == nil then EA_StackingItems[EA_CLASS_MAGE][44544] = true end;
			if EA_StackingItems[EA_CLASS_MAGE][44543] == nil then EA_StackingItems[EA_CLASS_MAGE][44543] = true end;
			if EA_StackingItems[EA_CLASS_MAGE][44545] == nil then EA_StackingItems[EA_CLASS_MAGE][44545] = true end;
			if EA_StackingItemsCounts[EA_CLASS_MAGE][44544] == nil then EA_StackingItemsCounts[EA_CLASS_MAGE][44544] = 1 end;
			if EA_StackingItemsCounts[EA_CLASS_MAGE][44543] == nil then EA_StackingItemsCounts[EA_CLASS_MAGE][44543] = 1 end;
			if EA_StackingItemsCounts[EA_CLASS_MAGE][44545] == nil then EA_StackingItemsCounts[EA_CLASS_MAGE][44545] = 1 end;


	-- Paladin
	if EA_StackingItems[EA_CLASS_PALADIN] == nil then EA_StackingItems[EA_CLASS_PALADIN] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_PALADIN] == nil then EA_StackingItemsCounts[EA_CLASS_PALADIN] = {} end;

    	-- Holy Power
			if EA_StackingItems[EA_CLASS_PALADIN][85247] == nil then EA_StackingItems[EA_CLASS_PALADIN][85247] = true end;
			if EA_StackingItemsCounts[EA_CLASS_PALADIN][85247] == nil then EA_StackingItemsCounts[EA_CLASS_PALADIN][85247] = 3 end;


	-- Priest
	if EA_StackingItems[EA_CLASS_PRIEST] == nil then EA_StackingItems[EA_CLASS_PRIEST] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_PRIEST] == nil then EA_StackingItemsCounts[EA_CLASS_PRIEST] = {} end;

        -- Serendipity
			if EA_StackingItems[EA_CLASS_PRIEST][63731] == nil then EA_StackingItems[EA_CLASS_PRIEST][63731] = true end;
			if EA_StackingItems[EA_CLASS_PRIEST][63735] == nil then EA_StackingItems[EA_CLASS_PRIEST][63735] = true end;

			if EA_StackingItemsCounts[EA_CLASS_PRIEST][63731] == nil then EA_StackingItemsCounts[EA_CLASS_PRIEST][63731] = 2 end;
			if EA_StackingItemsCounts[EA_CLASS_PRIEST][63735] == nil then EA_StackingItemsCounts[EA_CLASS_PRIEST][63735] = 2 end;

        -- Shadow Orb
			if EA_StackingItems[EA_CLASS_PRIEST][77487] == nil then EA_StackingItems[EA_CLASS_PRIEST][77487] = true end;
			if EA_StackingItemsCounts[EA_CLASS_PRIEST][77487] == nil then EA_StackingItemsCounts[EA_CLASS_PRIEST][77487] = 3 end;


	-- Rogue
	if EA_StackingItems[EA_CLASS_ROGUE] == nil then EA_StackingItems[EA_CLASS_ROGUE] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_ROGUE] == nil then EA_StackingItemsCounts[EA_CLASS_ROGUE] = {} end;


	-- Shaman
	if EA_StackingItems[EA_CLASS_SHAMAN] == nil then EA_StackingItems[EA_CLASS_SHAMAN] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_SHAMAN] == nil then EA_StackingItemsCounts[EA_CLASS_SHAMAN] = {} end;
		-- Elemental Focus
			if EA_StackingItems[EA_CLASS_SHAMAN][16246] == nil then EA_StackingItems[EA_CLASS_SHAMAN][16246] = true end;
			if EA_StackingItemsCounts[EA_CLASS_SHAMAN][16246] == nil then EA_StackingItemsCounts[EA_CLASS_SHAMAN][16246] = 1 end;

        -- Lightning Shield
			if EA_StackingItems[EA_CLASS_SHAMAN][324] == nil then EA_StackingItems[EA_CLASS_SHAMAN][324] = true end;
	        if EA_StackingItemsCounts[EA_CLASS_SHAMAN][324] == nil then EA_StackingItemsCounts[EA_CLASS_SHAMAN][324] = 6 end;

		-- Maelstrom Weapon
			if EA_StackingItems[EA_CLASS_SHAMAN][53817] == nil then EA_StackingItems[EA_CLASS_SHAMAN][53817] = true end;
			if EA_StackingItemsCounts[EA_CLASS_SHAMAN][53817] == nil then EA_StackingItemsCounts[EA_CLASS_SHAMAN][53817] = 5 end;

		-- Tidal Waves
			if EA_StackingItems[EA_CLASS_SHAMAN][53390] == nil then EA_StackingItems[EA_CLASS_SHAMAN][53390] = true end;
			if EA_StackingItemsCounts[EA_CLASS_SHAMAN][53390] == nil then EA_StackingItemsCounts[EA_CLASS_SHAMAN][53390] = 1 end;


	-- Warlock
	if EA_StackingItems[EA_CLASS_WARLOCK] == nil then EA_StackingItems[EA_CLASS_WARLOCK] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_WARLOCK] == nil then EA_StackingItemsCounts[EA_CLASS_WARLOCK] = {} end;

	-- Warrior
	if EA_StackingItems[EA_CLASS_WARRIOR] == nil then EA_StackingItems[EA_CLASS_WARRIOR] = {} end;
	if EA_StackingItemsCounts[EA_CLASS_WARRIOR] == nil then EA_StackingItemsCounts[EA_CLASS_WARRIOR] = {} end;

	   -- Thunderstruck
	       if EA_StackingItems[EA_CLASS_WARRIOR][87095] == nil then EA_StackingItems[EA_CLASS_WARRIOR][87095] = true end;
	       if EA_StackingItems[EA_CLASS_WARRIOR][87096] == nil then EA_StackingItems[EA_CLASS_WARRIOR][87096] = true end;

           if EA_StackingItemsCounts[EA_CLASS_WARRIOR][87095] == nil then EA_StackingItemsCounts[EA_CLASS_WARRIOR][87095] = 3 end;
           if EA_StackingItemsCounts[EA_CLASS_WARRIOR][87096] == nil then EA_StackingItemsCounts[EA_CLASS_WARRIOR][87096] = 3 end;


	-- Custom added buffs.

	--Death Knight
	if EA_CustomItems[EA_CLASS_DK] == nil then EA_CustomItems[EA_CLASS_DK] = {} end;

	-- Druid
	if EA_CustomItems[EA_CLASS_DRUID] == nil then EA_CustomItems[EA_CLASS_DRUID] = {} end;

	-- Hunter
	if EA_CustomItems[EA_CLASS_HUNTER] == nil then EA_CustomItems[EA_CLASS_HUNTER] = {} end;

	-- Mage
	if EA_CustomItems[EA_CLASS_MAGE] == nil then EA_CustomItems[EA_CLASS_MAGE] = {} end;

	-- Paladin
	if EA_CustomItems[EA_CLASS_PALADIN] == nil then EA_CustomItems[EA_CLASS_PALADIN] = {} end;

	-- Priest
	if EA_CustomItems[EA_CLASS_PRIEST] == nil then EA_CustomItems[EA_CLASS_PRIEST] = {} end;

	-- Rogue
	if EA_CustomItems[EA_CLASS_ROGUE] == nil then EA_CustomItems[EA_CLASS_ROGUE] = {} end;

	-- Shaman
	if EA_CustomItems[EA_CLASS_SHAMAN] == nil then EA_CustomItems[EA_CLASS_SHAMAN] = {} end;

	-- Warlock
	if EA_CustomItems[EA_CLASS_WARLOCK] == nil then EA_CustomItems[EA_CLASS_WARLOCK] = {} end;

	-- Warrior
	if EA_CustomItems[EA_CLASS_WARRIOR] == nil then EA_CustomItems[EA_CLASS_WARRIOR] = {} end;
end



function EventAlert_RemoveOldSpells()

	if EA_Items[EA_CLASS_MAGE][74396] == true then EA_Items[EA_CLASS_MAGE][74396] = nil end;
 	if EA_Items[EA_CLASS_PRIEST][63731] == true then EA_StackingItems[EA_CLASS_PRIEST][63731] = nil end;
	if EA_Items[EA_CLASS_PRIEST][63735] == true then EA_StackingItems[EA_CLASS_PRIEST][63735] = nil end;
	if EA_Items[EA_CLASS_SHAMAN][53817] == true then EA_Items[EA_CLASS_SHAMAN][53817] = nil end;
    if EA_AltItems[EA_CLASS_ROGUE][14251] == true then EA_AltItems[EA_CLASS_ROGUE][14251] = nil end;
	if EA_Items[EA_CLASS_MAGE][44544] == true then EA_Items[EA_CLASS_MAGE][44544] = nil end;
	if EA_Items[EA_CLASS_MAGE][44543] == true then EA_Items[EA_CLASS_MAGE][44543] = nil end;
	if EA_Items[EA_CLASS_MAGE][44545] == true then EA_Items[EA_CLASS_MAGE][44545] = nil end;
	if EA_Items[EA_CLASS_SHAMAN][16246] == true then EA_Items[EA_CLASS_SHAMAN][16246] = nil end;
	if EA_Items[EA_CLASS_SHAMAN][53390] == true then EA_Items[EA_CLASS_SHAMAN][53390] = nil end;


    EA_Items["Other"] = nil;
	EA_Items[EA_CLASS_FUNKY] = nil;
end